{% macro printFormRow(form) %}
    <td class="text-center">
        <a href="#" class="btn btn-danger js-remove-item">-</a>
    </td>
    <td>
        {{ form_widget(form.product, {attr: {class: 'select2 form-control'}}) }}
        {{ form_errors(form.product) }}
    </td>
    <td>
        {{ form_widget(form.quantity, {attr: {class: 'form-control'}}) }}
        {{ form_errors(form.quantity) }}
    </td>
    <td>
        {{ form_widget(form.unit_price, {attr: {class: 'form-control form-price'}}) }}
        {{ form_errors(form.unit_price) }}
    </td>
{% endmacro %}

{% import _self as formMacros %}

{{ form_start(form) }}

{#{% if is_granted('ROLE_ADMIN') %}
<div class="form-group">
    {{ form_label(form.client) }}
    {{ form_widget(form.client, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.client) }}
</div>
<div class="form-group">
    {{ form_label(form.provider) }}
    {{ form_widget(form.provider, {attr: {class: 'form-control'}}) }}
    {{ form_errors(form.provider) }}
</div>
{% endif %}#}

<table class="table">
    <thead>
    <tr>
        <th class="text-center">#</th>
        <th width="70%">Produit</th>
        <th>Quantité</th>
        <th>Prix unitaire</th>
    </tr>
    </thead>
    <tbody id="item-fields-list" class="js-items-wrapper"
           data-prototype="{{ formMacros.printFormRow(form.items.vars.prototype)|e('html_attr') }}"
           data-widget-tags="{{ '<tr class="js-item-row"></tr>'|e }}"
           data-widget-counter="{{ form.items|length }}">
    {% for itemField in form.items %}
        <tr class="js-item-row">
            <td class="text-center">
                <a href="#" class="btn btn-danger js-remove-item">-</a>
            </td>
            <td>
                {{ form_widget(itemField.product, {attr: {class: 'select2 form-control'}}) }}
                {{ form_errors(itemField.product) }}
            </td>
            <td>
                {{ form_widget(itemField.quantity, {attr: {class: 'form-control'}}) }}
                {{ form_errors(itemField.quantity) }}
            </td>
            <td>
                {{ form_widget(itemField.unit_price, {attr: {class: 'form-control form-price'}}) }}
                {{ form_errors(itemField.unit_price) }}
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>
<p style="padding-top: 0 !important;" class="p-3">
    <a href="#" data-list-selector="#item-fields-list" class="add-another-collection-widget btn btn-success">+</a>
</p>

<button class="btn btn-primary">Modifier le devis</button>

{{ form_end(form, {'render_rest': false}) }}